<template>
    <v-row :class="{'logout-component': true, below: !isLargeScreen && isMediumScreen}" v-if="$store.state.user.uuid">
        <v-col cols="auto">
            <v-dialog transition="dialog-top-transition" max-width="600">
                <template v-slot:activator="{ on, attrs }">
                    <v-btn @click="handleLogout" color="grey" icon v-bind="attrs" v-on="on">wyloguj się
                    </v-btn>
                </template>
            </v-dialog>
        </v-col>
    </v-row>
</template>

<script>
import { useMediaQuery } from "@vueuse/core";
const isLargeScreen = useMediaQuery("(min-width: 950px)");
const isMediumScreen = useMediaQuery("(min-width: 751px)");
export default {
    data() {
        return {
            isLargeScreen,
            isMediumScreen
        }
    },

    methods: {
        
        handleLogout() {
            this.$axios.post(this.$config.serverUrl + '/user/logout/',
                { uuid: this.$store.state.user.uuid}).then(({data})=>{
                    if(data.status==='OK') {
                        this.$store.dispatch('wanishUser');
                        localStorage.setItem('user',null)
                        this.$router.push('/');
                    }
            })
        }
    }
}
</script>
<style scoped>

.margin {
    margin-right: 20px !important;
}
.logout-component.below {
  transform: translate(10px,25px);
}
</style>